#ifndef _About_h
#include "About.h"
#endif

#ifndef _Def_h
#include "Def.h"
#endif


#include <StringView.h>


AboutWindow::AboutWindow() :
	BWindow(BRect(100,100,220,320), "About BeNet", B_TITLED_WINDOW_LOOK, B_NORMAL_WINDOW_FEEL, B_NOT_RESIZABLE | B_NOT_ZOOMABLE, B_CURRENT_WORKSPACE),
	m_height(0),
	m_animate(true)
{
	BStringView* stringView;

	BRect b = Bounds();
	AddChild(m_pAboutView = new BView(BRect(b.left, b.top, b.right, b.bottom),"AboutView",0,B_WILL_DRAW));
	m_pAboutView->SetViewColor(216,216,216);

	b = m_pAboutView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.top, b.right, b.top + 15), NULL, "BeNet team:"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Martin Brault"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Mathieu Brault"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Steve Brousseau"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Francois Chouinard"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Caroline Cote"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Francis Deault"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Sebastien Gougeon"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Jean-Francois Gelinas"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Mathieu Giguere"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Patrick Henri"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Etienne Robert"));
	b = stringView->Frame();
	m_pAboutView->AddChild(stringView = new BStringView(BRect(b.left, b.bottom + 1, b.right, b.bottom + 16), NULL, "Hans Viens"));

//	m_pAboutView->ScrollBy(0,-200);

/*	ResizeTo(AFrame.right, AFrame.bottom - 1);
	MoveTo(	Preferences::Instance()->RemoteUserX(),
			Preferences::Instance()->RemoteUserY());*/
}	

AboutWindow::~AboutWindow()
{

}

bool
AboutWindow::QuitRequested()
{
	m_animate = false;
	Hide();
	return false;
}

void
AboutWindow::Animate()
{
/*	m_pAboutView->ScrollBy(0,1);
	m_pAboutView->Invalidate();	*/
	while(m_animate) Scroll();
}

void
AboutWindow::Scroll()
{
	Lock();
	
	if (m_height++ >= 400)
	{
		m_pAboutView->ScrollBy(0,-400);
		m_height = 0;
	}
		
	m_pAboutView->ScrollBy(0,1);
	m_pAboutView->Invalidate();	
	Unlock();
}
