#ifndef _BeNetMenu_h
#include "BeNetMenu.h"
#endif

#ifndef _Def_h
#include "Def.h"
#endif


BeNetMenu::BeNetMenu(BRect frame)
	:	BMenuBar(frame, "Menu")
{
	//"File"
	m_pFile = new BMenu("File");
	AddItem(m_pFile);
	m_pFile->SetTargetForItems(this);
	m_pFile->AddItem(m_pAbout = new BMenuItem("About BeNet", new BMessage(MSG_MENU_ABOUT), 'A'));
	m_pFile->AddSeparatorItem();
	m_pFile->AddItem(m_pHelp = new BMenuItem("Help", new BMessage(MSG_MENU_HELP), 'H'));
	m_pFile->AddSeparatorItem();
	m_pFile->AddItem(m_pExit = new BMenuItem("Exit", new BMessage(MSG_MENU_EXIT), 'X'));

	//"Edit"
	m_pEdit = new BMenu("Edit");
	AddItem(m_pEdit);
	m_pEdit->SetTargetForItems(this);
	m_pEdit->AddItem(m_pBookmarks = new BMenuItem("Bookmarks", new BMessage(MSG_MENU_BOOKMARKS), 'B'));
	m_pEdit->AddItem(m_pPreferences = new BMenuItem("Preferences", new BMessage(MSG_MENU_PREFERENCES), 'P'));

	//"View"
	m_pView = new BMenu("View");
	AddItem(m_pView);
	m_pView->SetTargetForItems(this);
	m_pView->AddItem(m_pToolbar = new BMenuItem("Toolbar", new BMessage(MSG_MENU_TOOLBAR), 'T'));
	m_pView->AddItem(m_pToolbar = new BMenuItem("Status bar", new BMessage(MSG_MENU_STATUSBAR), 'S'));
	m_pView->AddItem(m_pOutputWindow = new BMenuItem("Output window", new BMessage(MSG_MENU_OUTPUTWINDOW), 'O'));

	//"Tools"
	m_pTools = new BMenu("Tools");
	AddItem(m_pTools);
	m_pTools->SetTargetForItems(this);
	m_pTools->AddItem(m_pConnect = new BMenuItem("Connect", new BMessage(MSG_MENU_CONNECT), 'C'));
	m_pTools->AddItem(m_pDisconnect = new BMenuItem("Disconnect", new BMessage(MSG_MENU_DISCONNECT), 'D'));
	m_pTools->AddItem(m_pCheckMail = new BMenuItem("Check for connection", new BMessage(MSG_MENU_MAILIP), 'K'));
	m_pTools->AddItem(m_pGoOnline = new BMenuItem("Go online", new BMessage(MSG_MENU_ONLINE), 'L'));
	m_pTools->AddItem(m_pGoOffline = new BMenuItem("Go offline", new BMessage(MSG_MENU_OFFLINE), 'F'));
}
