#ifndef _WaitWindow_h
#include "WaitWindow.h"
#endif

#ifndef _Def_h
#include "Def.h"
#endif

#include <View.h>
#include <Button.h>

WaitWindow::WaitWindow() :
	BWindow(BRect(300,300,500,350), "Connecting...", B_TITLED_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE | B_NOT_ZOOMABLE, B_CURRENT_WORKSPACE)
{
	BRect b = Bounds();
	BView* waitView = new BView(BRect(b.left,b.top,b.right,b.bottom), "waitView", 0, B_WILL_DRAW);
	AddChild(waitView);
	waitView->SetViewColor(216,216,216);
	
	waitView->AddChild(new BButton(BRect(((b.right-b.left)/2)-30,b.bottom-25,((b.right-b.left)/2)+30,b.bottom-5), "cancel", "Cancel", new BMessage(MSG_ABORT_CONNECTION)));

	waitView->AddChild(m_pStringView = new BStringView(BRect(b.left+5, b.top+5, b.right, b.top + 20), NULL, "connecting to ..."));
}


WaitWindow::~WaitWindow()
{

}


bool
WaitWindow::QuitRequested()
{
	Hide();
	return true;
}


void
WaitWindow::SetText(char* text)
{
	Lock();
	m_pStringView->SetText(text);
	Unlock();
}